Bug 130335 - RFE: [patch] Port to vsftpd-2.x - features FTP-SSL support
RFE: [patch] Port to vsftpd-2.x - features FTP-SSL support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vsftpd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-19 06:39 EDT by Jan Kratochvil
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-08 03:58:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
draft of .spec file update (1.44 KB, patch)
2004-08-19 06:40 EDT, Jan Kratochvil
no flags Details | Diff
Enable SSL support (285 bytes, patch)
2004-08-19 06:41 EDT, Jan Kratochvil
no flags Details | Diff
Strip already imported part of the 'signal' patch (989 bytes, patch)
2004-08-19 06:41 EDT, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2004-08-19 06:39:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
vsftpd-2.x features SSL support for FTP.
vsftpd-1.x has no SSL support.
Some people (not me) want to use FTP client although some security is
required.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run FTP client with SSL support; tested only FlashFXP W32 client
although it does not make sense to use SSL there (no certificate
fingerprints can be checked)
2. Restrict FlashFXP to use TLS.
3. Try to connect to vsftpd server.


Actual Results:  Failed to authenticate as SSL would be required by
the FTP client.


Expected Results:  Successful authentication.


Additional info:
Comment 1 Jan Kratochvil 2004-08-19 06:40:53 EDT
Created attachment 102873 [details]
draft of .spec file update
Comment 2 Jan Kratochvil 2004-08-19 06:41:25 EDT
Created attachment 102874 [details]
Enable SSL support
Comment 3 Jan Kratochvil 2004-08-19 06:41:57 EDT
Created attachment 102875 [details]
Strip already imported part of the 'signal' patch
Comment 4 Radek Vokal 2004-09-08 03:58:46 EDT
Patch added to vsftpd-2.0.1-3

Note You need to log in before you can comment on or make changes to this bug.